Subject: Re: [BUG] Directory glob picks up running or already-run scripts on OS X
From: Bart Schaefer <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 11 Jul 2016 09:59:34 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Jul 11,  5:51pm, Jun T. wrote:
}
} Near the end of statfullpath() (line 301 of glob.c), the access(2) system
} call is used to check whether the path is actually a directory:
} 	access(buf, F_OK)
} where buf is set to 'script1/.'; but it seems access(2) behaves quite
} strangely on OS X.
} On OS X 10.8.5 (Mountain Lion, a rather old version) I get the following

This is once again sounding vaguely familiar, as in, I think we ran
into problems with access() before.

What's curious is that this doesn't show up in zsh-5.0.8 as shipped
stock with El Capitan even though you find it in older versions of
OSX.  I grepped around and scanned changelogs looking for something
that may have changed in the configure-discovered compiler settings
but did not see anything that appeared related.